Index: .hgignore
===================================================================
--- .hgignore	(revision 23)
+++ .hgignore	(revision 0)
@@ -3,5 +3,4 @@
 aclocal.m4
 autom4te.cache
-compile
 configure
 depcomp
@@ -12,3 +11,2 @@
 ltmain.sh
 m4/.*\.m4
-doc/html
Index: Makefile.am
===================================================================
--- Makefile.am	(revision 20)
+++ Makefile.am	(revision 0)
@@ -1,4 +1,2 @@
-SUBDIRS=src misc test doc
+SUBDIRS=src misc
 ACLOCAL_AMFLAGS=-I m4
-
-EXTRA_DIST=bootstrap.sh
Index: bootstrap.sh
===================================================================
--- bootstrap.sh	(revision 1)
+++ bootstrap.sh	(revision 0)
@@ -3,13 +3,13 @@
 scriptdir=`dirname $0`
 
+tempdir=`mktemp -d`
+trap "rm -rf ${tempdir}" EXIT
+
 cd "${scriptdir}"
 
-if test ! -e m4/vscpl.m4; then
-    mkdir -p m4
-    ln -s ../misc/vscpl.m4.in m4/vscpl.m4
-fi
+ln -s `pwd`/misc/vscpl.m4.in "${tempdir}/vscpl.m4"
 
 libtoolize
-aclocal -I m4
+aclocal -I "${tempdir}"
 automake -a
 autoconf
Index: configure.ac
===================================================================
--- configure.ac	(revision 43)
+++ configure.ac	(revision 0)
@@ -1,3 +1,3 @@
-AC_INIT(vscpl, 0.3, ivaradi@gmail.com)
+AC_INIT(vscpl, 0.1, ivaradi@gmail.com)
 AM_INIT_AUTOMAKE([foreign])
 
@@ -17,16 +17,10 @@
         src/hu/varadiistvan/Makefile
         src/hu/varadiistvan/scpl/Makefile
-        src/hu/varadiistvan/scpl/config.h
-        src/hu/varadiistvan/scpl/_posix/Makefile
-        src/hu/varadiistvan/scpl/_win32/Makefile
-        src/hu/varadiistvan/scpl/io/Makefile
-        src/hu/varadiistvan/scpl/io/_posix/Makefile
-        src/hu/varadiistvan/scpl/io/_win32/Makefile
         misc/Makefile
         misc/vscpl.m4
         misc/vscpl.pc
-        test/Makefile
-        doc/Makefile
 ])
 
+AC_CONFIG_HEADERS([src/hu/varadiistvan/scpl/config.h])
+
 AC_OUTPUT()
Index: misc/vscpl.m4.in
===================================================================
--- misc/vscpl.m4.in	(revision 15)
+++ misc/vscpl.m4.in	(revision 0)
@@ -7,32 +7,15 @@
 
     AM_CONDITIONAL([TARGET_API_WIN32], test $_target_win32 -eq 0)
-
-    _target_win64="no"
+    AM_CONDITIONAL([TARGET_API_WIN64], test $_target_win32 -eq 0 -a "$host_cpu" = "x86_64")
+    AM_CONDITIONAL([TARGET_API_POSIX], test $_target_win32 -ne 0)
     if test $_target_win32 -eq 0; then
-        echo "host_alias: $host_alias"
-        case "$host_alias" in
-            x86_64*)
-                _target_win64="yes"
-                ;;
-        esac
-    fi
-    AM_CONDITIONAL([TARGET_API_WIN64], test "$_target_win64" = "yes")
-
-    AM_CONDITIONAL([TARGET_API_POSIX], test $_target_win32 -ne 0)
-    TARGET_API_POSIX=0
-    TARGET_API_WIN32=0
-    TARGET_API_WIN64=0
-    if test $_target_win32 -eq 0; then
-        if test "$_target_win64" = "yes"; then
-            TARGET_API_WIN64=1
+        if test "$host_cpu" = "x86_64"; then
+           AC_DEFINE([TARGET_API_WIN64], [1], [Define if the target is the 64-bit Win32 API.])
         fi
-        TARGET_API_WIN32=1
+        AC_DEFINE([TARGET_API_WIN32], [1], [Define if the target is the Win32 API.])
     else
-        TARGET_API_POSIX=1
+        AC_DEFINE([TARGET_API_POSIX], [1], [Define if the target is the POSIX API.])
     fi
 
-    AC_SUBST(TARGET_API_POSIX)
-    AC_SUBST(TARGET_API_WIN32)
-    AC_SUBST(TARGET_API_WIN64)
 ])
 
Index: src/hu/varadiistvan/scpl/config.h.in
===================================================================
--- src/hu/varadiistvan/scpl/config.h.in	(revision 1)
+++ src/hu/varadiistvan/scpl/config.h.in	(revision 0)
@@ -1,10 +1,77 @@
-// Define to 1, if the library is compiled for the POSIX API
-#define TARGET_API_POSIX @TARGET_API_POSIX@
+/* src/hu/varadiistvan/scpl/config.h.in.  Generated from configure.ac by autoheader.  */
 
-// Define to 1, if the library is compiled for the 32- or 64-bit
-// Win32 API
-#define TARGET_API_WIN32 @TARGET_API_WIN32@
+/* Define to 1 if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
 
-// Define to 1, if the library is compiled for the 64-bit
-// Win32 API
-#define TARGET_API_WIN64 @TARGET_API_WIN64@
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
+
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
+
+/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
+
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H
+
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define to 1 if you have the <sys/types.h> header file. */
+#undef HAVE_SYS_TYPES_H
+
+/* Define to 1 if you have the <unistd.h> header file. */
+#undef HAVE_UNISTD_H
+
+/* Define to 1 if you have the <windows.h> header file. */
+#undef HAVE_WINDOWS_H
+
+/* Define to 1 if you have the <winsock2.h> header file. */
+#undef HAVE_WINSOCK2_H
+
+/* Define to the sub-directory in which libtool stores uninstalled libraries.
+   */
+#undef LT_OBJDIR
+
+/* Name of package */
+#undef PACKAGE
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the home page for this package. */
+#undef PACKAGE_URL
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* Define to 1 if you have the ANSI C header files. */
+#undef STDC_HEADERS
+
+/* Define if the target is the POSIX API. */
+#undef TARGET_API_POSIX
+
+/* Define if the target is the Win32 API. */
+#undef TARGET_API_WIN32
+
+/* Define if the target is the 64-bit Win32 API. */
+#undef TARGET_API_WIN64
+
+/* Version number of package */
+#undef VERSION
